Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 137799 - [4.1/ICE] dev-lang/gdl-0.8.11 fails - internal compiler error
Summary: [4.1/ICE] dev-lang/gdl-0.8.11 fails - internal compiler error
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: http://gcc.gnu.org/PR28058
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-24 00:29 UTC by Samuli Suominen
Modified: 2006-08-27 11:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/gdl-0.8.11/temp/cc755Ig8.out in .tar.gz (cc755Ig8.out.tgz,237.14 KB, application/octet-stream)
2006-06-24 00:32 UTC, Samuli Suominen
Details
137799-ice.ii (ice.ii,178 bytes, text/plain)
2006-06-24 16:15 UTC, SpanKY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2006-06-24 00:29:04 UTC
if i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/magick -I/usr/include/python2.4     -g -march=athlon-xp -O3 -pipe -MT gdl-dinterpreter.o -MD -MP -MF ".deps/gdl-dinterpreter.Tpo" -c -o gdl-dinterpreter.o `test -f 'dinterpreter.cpp' || echo './'`dinterpreter.cpp; \
        then mv -f ".deps/gdl-dinterpreter.Tpo" ".deps/gdl-dinterpreter.Po"; else rm -f ".deps/gdl-dinterpreter.Tpo"; exit 1; fi
if i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/magick -I/usr/include/python2.4     -g -march=athlon-xp -O3 -pipe -MT gdl-dnode.o -MD -MP -MF ".deps/gdl-dnode.Tpo" -c -o gdl-dnode.o `test -f 'dnode.cpp' || echo './'`dnode.cpp; \
        then mv -f ".deps/gdl-dnode.Tpo" ".deps/gdl-dnode.Po"; else rm -f ".deps/gdl-dnode.Tpo"; exit 1; fi
if i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/magick -I/usr/include/python2.4     -g -march=athlon-xp -O3 -pipe -MT gdl-dpro.o -MD -MP -MF ".deps/gdl-dpro.Tpo" -c -o gdl-dpro.o `test -f 'dpro.cpp' || echo './'`dpro.cpp; \
        then mv -f ".deps/gdl-dpro.Tpo" ".deps/gdl-dpro.Po"; else rm -f ".deps/gdl-dpro.Tpo"; exit 1; fi
datatypes.cpp: In member function 'int Data_< <template-parameter-1-1> >::Scalar2index(SizeT&) const [with Sp = SpDByte]':
datatypes.cpp:3531:   instantiated from here
datatypes.cpp:634: warning: comparison is always false due to limited range of data type
datatypes.cpp: In member function 'SizeT Data_< <template-parameter-1-1> >::LoopIndex() const [with Sp = SpDByte]':
datatypes.cpp:3531:   instantiated from here
datatypes.cpp:720: warning: comparison is always false due to limited range of data type
datatypes.cpp: In member function 'int Data_< <template-parameter-1-1> >::Scalar2index(SizeT&) const [with Sp = SpDUInt]':
datatypes.cpp:3533:   instantiated from here
datatypes.cpp:634: warning: comparison is always false due to limited range of data type
datatypes.cpp: In member function 'SizeT Data_< <template-parameter-1-1> >::LoopIndex() const [with Sp = SpDUInt]':
datatypes.cpp:3533:   instantiated from here
datatypes.cpp:720: warning: comparison is always false due to limited range of data type
datatypes.cpp: In constructor 'Data_< <template-parameter-1-1> >::Data_(const dimension&, BaseGDL::InitType) [with Sp = SpDObj]':
datatypes.cpp:3545: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
Preprocessed source stored into /var/tmp/portage/gdl-0.8.11/temp/cc755Ig8.out file, please attach this to your bugreport.
make[3]: *** [gdl-datatypes.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/gdl-0.8.11/work/gdl-0.8.11/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gdl-0.8.11/work/gdl-0.8.11/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gdl-0.8.11/work/gdl-0.8.11'
make: *** [all] Error 2

Portage 2.1.1_pre1-r1 (default-linux/x86/2006.0, gcc-4.1.1/vanilla, glibc-2.4-r3, 2.6.16-gentoo-r8 i686)
=================================================================
System uname: 2.6.16-gentoo-r8 i686 AMD Athlon(tm) XP 2200+
Gentoo Base System version 1.12.1
ccache version 2.4 [enabled]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r2
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17.50.0.2
sys-devel/gcc-config: 2.0.0_rc1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-g -march=athlon-xp -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/eselect/compiler /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-g -march=athlon-xp -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache collision-protect distlocks metadata-transfer sandbox sfperms splitdebug strict"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlay /usr/local/shit/xgl-overlay /usr/portage/local/layman/sunrise"
SYNC="rsync://trumpetti.atm.tut.fi/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac aalib alsa apm asf avi bash-completion berkdb bitmap-fonts bzip2 cairo cdparanoia cdr cli compositor crypt cups dbus dri dts dvd dvdread effects emboss encode fam ffmpeg firefox flac foomaticdb fortran gdbm gif gimpprint glitz glut gphoto2 gstreamer gtk gtk2 hal imagemagick imap imlib insecure-savers ipv6 isdnlog jpeg kdehiddenvisibility libcaca libg++ libwww mad matroska mikmod mmx mmxext motif mp3 mpeg mplayer ncurses nptl nptlonly offensive ogg openal opengl oss pam pcre pdf pdflib perl pic plugin png ppds pppd python quicktime readline reflection rtc sdl session shout speex spl sse ssl startup-notification svg tcltk tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode userlocales v4l vidix vorbis win32codecs xanim xcb xml xml2 xorg xscreensaver xv xvid zlib elibc_glibc input_devices_keyboard input_devices_evdev kernel_linux userland_GNU video_cards_radeon video_cards_ati video_cards_r200"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Samuli Suominen gentoo-dev 2006-06-24 00:32:35 UTC
Created attachment 89979 [details]
/var/tmp/portage/gdl-0.8.11/temp/cc755Ig8.out in .tar.gz
Comment 2 SpanKY gentoo-dev 2006-06-24 16:14:59 UTC
drop to -O2 for now and it should emerge
Comment 3 SpanKY gentoo-dev 2006-06-24 16:15:48 UTC
Created attachment 90060 [details]
137799-ice.ii
Comment 4 Samuli Suominen gentoo-dev 2006-06-26 13:01:00 UTC
(In reply to comment #2)
> drop to -O2 for now and it should emerge
> 

confirming.
Comment 5 SpanKY gentoo-dev 2006-08-27 11:07:37 UTC
this should be fixed in 4.1.1-r1 and 4.1.2